2020-08-11 04:35 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002867FSSCPFREDpublic2020-05-03 17:21
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.19 
Target VersionFixed in Version 
Summary0002867: Save in retail format isn't removing some newer features
DescriptionWanted to save a mission in retail format for some previous version testing. Ran 3.6.9 and got crashes on the fog multiplier stuff and +use table score.

Probably opening up a can of worms on this one.
Steps To ReproduceOpen FRED. Save whatever is there all you need is the default ship. Do a file-new just to be on the safe side. Open the mission back up. Set save type to retail format. Save the mission. Open in notepad and you will see the fog multiplier stuff still there and the +use table score.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015103

karajorma (administrator)

The problem once again is that no one seems to have the faintest clue how to use the compatibility stuff.

I'm pretty much of the opinion that if no one wants to fix it, it should be ripped out and replaced with something easier to understand.

~0015105

FUBAR-BDHR (developer)

It's not the ;; FSO whatever compatibility stuff it's the save in retail format that should just be skipping non-retail stuff entirely.

~0015290

Goober5000 (administrator)

Yeah, version-specific commenting is one thing, but saving in retail format is pretty straightforward.

~0016987

Goober5000 (administrator)

PR posted:
https://github.com/scp-fs2open/fs2open.github.com/pull/2348

~0016988

Goober5000 (administrator)

PR merged.
+Notes

-Issue History
Date Modified Username Field Change
2013-05-09 02:12 FUBAR-BDHR New Issue
2013-05-31 04:35 karajorma Note Added: 0015103
2013-05-31 05:02 FUBAR-BDHR Note Added: 0015105
2013-09-23 01:33 Goober5000 Note Added: 0015290
2014-06-29 23:15 Goober5000 Assigned To => Goober5000
2014-06-29 23:15 Goober5000 Status new => assigned
2020-04-29 00:52 Goober5000 Status assigned => code review
2020-04-29 00:52 Goober5000 Note Added: 0016987
2020-05-03 17:21 Goober5000 Status code review => resolved
2020-05-03 17:21 Goober5000 Resolution open => fixed
2020-05-03 17:21 Goober5000 Note Added: 0016988
+Issue History